# Yahoo! UI Library

### yql 3.3.0

Yahoo! UI Library > yql > YQL
Search:
Filters Show Private Show Protected Show Deprecated

## Class YQL

This class adds a sugar class to allow access to YQL (http://developer.yahoo.com/yql/).

### Constructor

YQL `( sql , callback , params )`

Parameters:
  `sql <String>` The SQL statement to execute
  `callback <Function>` The callback to execute after the query (optional).
  `params <Object>` An object literal of extra parameters to pass along (optional).

Copyright © 2011 Yahoo! Inc. All rights reserved.